Subject: bug#13023: 24.3.50; lexical binding does not work within defadvice

From: Stefan Monnier <[email-masked]>
Date: Thu, 29 Nov 2012 22:45:01 -0500

>     Indeed, it doesn't work.  And because of the way advice.el works
>     (building a new function by combining the code chunks from all the
>     pieces of advice applied to that function) it's not easy to fix.
> Would it be possible to fix this by defining a new primitive construct
> for use in the constructed function that runs the advice?

I don't think there's a need to add any new primitive.  If someone wants
to dig into advice.el to try and fix it, it can be fixed there (as
evidenced by advice-add).
I personally would rather tell people to use advice-add instead.

        Stefan